Error about fdk in window

Hello, Good day!

I try to develop freshdesk custom app.

I installed nvm and set node version 10.18.0.
And I installed fdk to “npm install https://dl.freshdev.io/cli/fdk.tgz -g”.

But fdk command like"fdk version" is not working.
Only occurred error index.js.
"Error: Cannot find module ‘C:\Users\blue_\AppData\Roaming\npm\node_modules\fdk\index.js’

Could you please help me?

Hi @Juyeong_Lee,

This could happen due to incompletion of installation or path variable not being added properly, I guess from the error.
Could you try to check if the FDK folder exists under the node_modules in the mentioned path (C:\Users\blue_\AppData\Roaming\npm)?
Also, could you check if the NPM folder is properly added to the PATH environment variable?

Could you share the complete log of the installation session in the terminal or the complete error with stack trace from the terminal?

1 Like

@Juyeong_Lee,

Adding on to what @Raviraj has shared, if you intend to start afresh see the uninstallation steps in this wiki article,

Hi @Raviraj

Thank you for your reply.

There no FDK folder.
NPM folder is already added to the PATH environment variable.

Error message is below.
Error: Cannot find module ‘C:\Users\blue_\AppData\Roaming\npm\node_modules\fdk\index.js’
at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
at Function.Module._load (internal/modules/cjs/loader.js:562:25)
at Function.Module.runMain (internal/modules/cjs/loader.js:831:12)
at startup (internal/bootstrap/node.js:283:19)
at bootstrapNodeJSCore (internal/bootstrap/node.js:623:3)

Why fdk folder not exists?
I didn’t delete fdk folder.
And I reinstall with command “npm install https://dl.freshdev.io/cli/fdk.tgz -g”, but FDK folder didn’t created.

Hi, @Saif

Thank you for information.

But “npm uninstall fdk -g” is not working.
I need to find another way.

Thank you.

I think this issue involved this,

When install fdk, also show this messages:
npm WARN deprecated istanbul@0.4.5: This module is no longer maintained, try this instead:
npm WARN deprecated npm i nyc
npm WARN deprecated Visit https://istanbul.js.org/integrations for other alternatives.
npm WARN deprecated request@2.88.0: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
npm WARN deprecated mkdirp@0.5.1: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
npm WARN deprecated request-promise-native@1.0.9: request-promise-native has been deprecated because it extends the now deprecated request package, see Request’s Past, Present and Future · Issue #3142 · request/request · GitHub
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
C:\Program Files\nodejs\fdk -> C:\Program Files\nodejs\node_modules\fdk\index.js
npm WARN ajv-keywords@3.5.2 requires a peer of ajv@^6.9.1 but none is installed. You must install peer dependencies yourself.

I solve this issu!!

FDK must install this command.
npm install https://dl.freshdev.io/cli/fdk.tgz -g --unsafe-perm=true

Then FDK working!!

1 Like

@Juyeong_Lee, Appreciate you posting an update on what worked for you. I hope you would excited to build apps on freshworks developer platform. Please feel free to create new topics along your journey, we would be glad to help you out.

3 Likes